Skip to main content
`Ctrl`+`K`

# SNESGetUpdateNorm

Gets the last computed norm of the solution update

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetUpdateNorm(SNES snes, PetscReal *ynorm)

Not Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- ynorm - the last computed update norm

## Note

The new solution is the current solution plus the update, so this norm is an indication of the size of the update

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetNormSchedule()`, `SNESComputeFunction()`, `SNESGetFunctionNorm()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages